{ lib, hostFQDN, emailCheck, ... }:
let
  defaultPassiveInfo = {
    filter = lib.attrsets.filterAttrs
      (k: v: builtins.elem k ["service_description"] || builtins.substring 0 1 k == "_");
    use = "external-passive-service";
    freshness_threshold = "450";
    retry_interval = "1";
    servicegroups = "webstatus-resources";
    host_name = hostFQDN;
  };
  zfs_snapshot = name: {
    passiveInfo = defaultPassiveInfo // { servicegroups = "webstatus-resources"; };
    service_description = "ZFS snapshot ${name} happened not too long ago";
    use = "local-service";
    check_command = ["check_zfs_snapshot" name];
  };
in
{
  activatedPlugins = [ "zfs" ];
  service = [
    {
      passiveInfo = defaultPassiveInfo // { servicegroups = "webstatus-resources"; };
      service_description = "No ZFS pool is degraded";
      use = "local-service";
      check_command = ["check_zfs"];
    }
    (zfs_snapshot "zpool/backup/eldiron/zpool/root")
    (zfs_snapshot "zpool/backup/eldiron/zpool/root/etc")
    (zfs_snapshot "zpool/backup/eldiron/zpool/root/var")
  ];
}
